Bug 111080 - Edit form, use 'replace with' to change the type of control - nothing happens
Summary: Edit form, use 'replace with' to change the type of control - nothing happens
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1
Keywords: bibisected, bisected, regression, wantBacktrace
Depends on:
Blocks:
 
Reported: 2017-08-02 10:33 UTC by tim
Modified: 2017-08-13 07:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Demonstration database (11.67 KB, application/vnd.oasis.opendocument.database)
2017-08-02 10:38 UTC, tim
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tim 2017-08-02 10:33:49 UTC
Description:
Edit a form. Pick a control, eg a formatted field.  Right click and use 'Replace with' a numerical field or text box. Nothing happens. It works in 5.3.4.2.  

Steps to Reproduce:
1.Edit a form
2.Pick a control
3.Right Click and 'Replace with'
4. Nothing happens

Actual Results:  
Nothing

Expected Results:
Control should have changed type


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.112 Safari/537.36 Vivaldi/1.91.867.48
Comment 1 tim 2017-08-02 10:38:32 UTC
Created attachment 135070 [details]
Demonstration database

In 5.4.0.3, Open table1 form for editting.  Select the timestamp field (not the label) - it is 'formatted'.  Right click and change to 'numeric', or 'text'.  Nothing happens.

In 5.3.4.2 it works.
Comment 2 Alex Thurgood 2017-08-02 11:51:54 UTC
Confirming with

Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
Threads CPU : 8; OS : Mac OS X 10.12.6; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 3 tim 2017-08-02 14:13:26 UTC
I'm also having problems changing other attributes. I changed some text from 'left' aligned to 'centre'.  This displayed OK in the edit form display, but having saved, closed and re-opened, the change has been lost.

One can test this on the label text on the demo form I attached to this report.  I happens on other fields as well, such as Buttons.

(To add to this, having 'upgraded' my ubuntu libreoffice version to use libreoffice-gtk3 I now find that it does not display the type of control in the heading when I edit it, but the version from Libreoffice does.  More investigation with the ubuntu ppa team required. Not your problem.)
Comment 4 Alex Thurgood 2017-08-02 15:03:36 UTC
(In reply to tim from comment #3)
> I'm also having problems changing other attributes. I changed some text from
> 'left' aligned to 'centre'.  This displayed OK in the edit form display, but
> having saved, closed and re-opened, the change has been lost.
> 

The left alignment problem of text has already been recently reported and confirmed in a separate bug report.
Comment 5 raal 2017-08-05 08:23:22 UTC
Not sure if bibisect is correct - lots of builds crashed when I right click on the textbox. I marked them as "bad". Caolán, could your commit be a cause of this bug? Thanks

3d9b1b5de21d3c152ec1dec0b69adc66e7312aa7 is the first bad commit
commit 3d9b1b5de21d3c152ec1dec0b69adc66e7312aa7
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Apr 25 23:10:49 2017 +0200

    source sha:ea37507b9d9afbc747af04af5d9a27bf1a9f3727
author	Caolán McNamara <caolanm@redhat.com>	2017-04-16 20:46:16 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-04-18 08:54:18 (GMT)
commit	ea37507b9d9afbc747af04af5d9a27bf1a9f3727 (patch)
tree	d341ef71ad0f4247a4e9b3bcfefbd92d6c5b8324
parent	0d2a607a849e3f1b51092c7d96bc5529420cfab2 (diff)
convert RID_FMSHELL_CONVERSIONMENU menu to .ui
Comment 6 raal 2017-08-05 08:28:50 UTC
Caolán, could your commit be a cause of this bug? Thanks
Comment 7 Xisco Faulí 2017-08-06 20:50:35 UTC
I tried to reproduce the steps from comment 1 but I don't see the bug in

Version: 6.0.0.0.alpha0+
Build ID: 3f16306964d5bb81dda3c681bcabbacadf424e7b
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Could someone explain the right steps to reproduce it ?
Comment 8 Julien Nabet 2017-08-06 20:59:08 UTC
(In reply to Xisco Faulí from comment #7)
> ...
> Could someone explain the right steps to reproduce it ?
1. Open file
2. Edit form
3. Select a form Control on left (eg: "Check box")
4. Create a checkbox on the form
5. Right click on the brand new checkbox and select "Replace with" menu
6. Try an option from "Replace with" menu "Button"

Notice that "Replace with" doesn't appear with existing controls on the form. I don't know if it's normal or not.
Comment 9 tim 2017-08-06 21:11:05 UTC
(In reply to Julien Nabet from comment #8)
> (In reply to Xisco Faulí from comment #7)
> > ...
> > Could someone explain the right steps to reproduce it ?
> 1. Open file
> 2. Edit form
> 3. Select a form Control on left (eg: "Check box")
> 4. Create a checkbox on the form
> 5. Right click on the brand new checkbox and select "Replace with" menu
> 6. Try an option from "Replace with" menu "Button"
> 
> Notice that "Replace with" doesn't appear with existing controls on the
> form. I don't know if it's normal or not.
Using the database I provided, you should be able to 'replace with' any control already on the form.  Apologies if this is obvious, but you do need to select the individual control, not a grouped pair of control and its label. Use shift and select the individual control, then right click to see "Replace with".
Comment 10 tim 2017-08-06 21:15:16 UTC
(In reply to tim from comment #9)
> (In reply to Julien Nabet from comment #8)
> > (In reply to Xisco Faulí from comment #7)
> > > ...
> > > Could someone explain the right steps to reproduce it ?
> > 1. Open file
> > 2. Edit form
> > 3. Select a form Control on left (eg: "Check box")
> > 4. Create a checkbox on the form
> > 5. Right click on the brand new checkbox and select "Replace with" menu
> > 6. Try an option from "Replace with" menu "Button"
> > 
> > Notice that "Replace with" doesn't appear with existing controls on the
> > form. I don't know if it's normal or not.
> Using the database I provided, you should be able to 'replace with' any
> control already on the form.  Apologies if this is obvious, but you do need
> to select the individual control, not a grouped pair of control and its
> label. Use shift and select the individual control, then right click to see
> "Replace with".
Oh how I wish I could edit comments! I mean 'Use ctrl and select...', not 'Use shift....' - Sorry!
Comment 11 Xisco Faulí 2017-08-06 21:46:35 UTC
ohh, so basically the 'replace with' option is missing...

Confirmed it's introduced by ea37507b9d9afbc747af04af5d9a27bf1a9f3727

Adding Cc: to Caolán McNamara
Comment 12 Commit Notification 2017-08-08 20:07:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ad8376d1698026ccab0634605fdb17ea3c59f3a

Resolves: tdf#111080 framework user of convert menu needs action names set

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Caolán McNamara 2017-08-08 20:08:00 UTC
5-4 backport in gerrit
Comment 14 Commit Notification 2017-08-08 20:13:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a7a2b4f97d5e02f73f22c4868f4b0a97d8f22b8&h=libreoffice-5-4

Resolves: tdf#111080 framework user of convert menu needs action names set

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Julien Nabet 2017-08-09 20:42:08 UTC
With master sources updated today, I confirm it's ok now.
Thank you Caolán!
Comment 16 tim 2017-08-13 07:46:20 UTC
Just installed the latest ubuntu pre-release:
Version: 5.4.1.1
Build ID: 1:5.4.1~rc1-0ubuntu0.17.04.1~lo0
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); Calc: group

All fixed. Thanks very much.